
service system/splash {
	need = system/initial
	use = daemon/agetty	
start {
# only do this if the kernel supports fbsplash
if [ -e /dev/fbsplash ] && [ -e /proc/fbsplash ]; then

if [ -e /etc/conf.d/splash ]; then
    . /etc/conf.d/splash
fi

# default settings
test -z "${SPLASH_THEME}" && SPLASH_THEME="default"                                                                             
if [ -z "${SPLASH_TTYS}" ]; then
		SPLASH_TTYS=$(seq 0 12)
fi

# dummy function to handle sourcing of fbconfig file
box () { return; }

parse_cmdline ()
{
	line=`egrep -o 'splash=[^ ]+' /proc/cmdline`
	line="${line#splash=}"
	t="${IFS}"
	IFS=","

	for param in ${line}
	do
		if [ "${param%:*}" = "theme" ]; then
			SPLASH_THEME="${param#*:}"
		else
			SPLASH_MODE="${param}"
		fi
	done

	IFS="${t}"
}

	echo "Setting framebuffer console images ..."
	parse_cmdline
	
	for TTY in ${SPLASH_TTYS}
	do
		theme="${SPLASH_THEME}"
		
		if [ "${TTY}" -eq 0 -a -z "$(splash_util -c getstate --vc=0 | grep off)" ]; then
			continue
		fi
		if [ -n "${SPLASH_TTY_MAP}" ]; then
		    for i in ${SPLASH_TTY_MAP}
		    do
			if [ "${i%:*}" = "${TTY}" ]; then
			    theme="${i#*:}"
			fi
		    done
		fi
		
		/sbin/splash_util --vc="${TTY}" -m v -t "${theme}" -c setcfg 2>/dev/null
		/sbin/splash_util --vc="${TTY}" -m v -t "${theme}" -c setpic 2>/dev/null
		/sbin/splash_util --vc="${TTY}" -c on 2>/dev/null
	done
fi
}


}

