
service system/urandom {
	need = system/initial system/mountfs
	
    start {
	#if it can be loaded do this in the quite
	modprobe -q nvram 2>&1 >/dev/null
	[ -c /dev/urandom ] || exit 1
	if [ -f /var/run/random-seed ] ; then
	    cat /var/run/random-seed >/dev/urandom
	fi
	if ! rm -f /var/run/random-seed 2>&1 >/dev/null ; then
		echo "Skipping /var/run/random-seed initialization (ro root?)"
		exit 1
	fi
	#echo "Initializing random number generator ..."
	umask 077
	dd if=/dev/urandom of=/var/run/random-seed count=1 >/dev/null 2>&1
	umask 022
	exit 0
    }

    stop {
	echo "Saving random seed ..."
	# Carry a random seed from shut-down to start-up;
	# see documentation in linux/drivers/char/random.c
	umask 077
	dd if=/dev/urandom of=/var/run/random-seed count=1 &>/dev/null
	exit $?
    }

}
